var testExecutor = require("testExecutor");

var win = Ti.UI.createWindow({
	backgroundColor: "white",
	layout: "vertical"
});

var label = Ti.UI.createLabel({
    top: "30dp",
    text: "1. Bring up " + ((Ti.Platform.name == "android") ? "logcat" : "console")
});

var scrollView = Ti.UI.createScrollView({
    contentHeight: "auto",
    showVerticalScrollIndicator: true,
    height: "90%",
    width: Ti.UI.SIZE,
    scrollType: "vertical" // for android only
}); 
var textArea = Ti.UI.createTextArea({
    backgroundColor:"#484850",
    height: Ti.Platform.osname === "android" ? "180%" : 1500,
    width: "85%",
    editable: false,
    color: "#fff"
});
scrollView.add(textArea);

var button = Ti.UI.createButton({
	title:"2. Start Automation"
});
button.addEventListener("click", function(evt){
    if(textArea.value.length !== 0) {
        textArea.value = "";
    }
    
	testExecutor.startTests(textArea);
});

win.add(label);
win.add(button);
win.add(scrollView);
win.open();
