var CloudUsers = require("tests/QECloudUsers"), 
   
    doneEvent = require("helper").doneEvent, 
    overallPassKey = require("helper").overallPassKey, 
    overallTestsKey = require("helper").overallTestsKey;

var allTests = [], 
    curTest = 0, 
    overallPass = 0, 
    overallTests = 0;
    
var textArea = undefined;
    
// WORKAROUND
// var workAround = {
    // textArea: undefined
// };

exports.startTests = function(textArea) {
    
    this.textArea = textArea;
    // workAround.textArea = textArea;
    
	initTests();
	executeNextTest();
};
 
Ti.App.addEventListener(doneEvent, function(evt) {
    
    var tests = evt[overallTestsKey];
    var passed = evt[overallPassKey];
    
    // BUG
    this.textArea.value +=
        "Done! \n" + 
        "Total: " + tests + "\n" + 
        "Passed: " + passed + "\n\n";
    // workAround.textArea.value +=
        // "Done! \n" + 
        // "Total: " + tests + "\n" + 
        // "Passed: " + passed + "\n\n";
    
    overallTests += tests;
    overallPass += passed;
    
    executeNextTest();
});

function initTests() {
	allTests = [];
	curTest = 0;
	overallPass = 0;
	overallTests = 0;
	loadTests();
}

function executeNextTest() {
	if(curTest < allTests.length) {
		var testMsg = allTests[curTest++].run();
		
		this.textArea.value += testMsg + "\n";
		// workAround.textArea.value += testMsg + "\n";
	}
	else {
	    
	    var doneMsg = 
	       "Done testing ti.cloud\n" +
	       "Overall Passed: " + overallPass + "\nOverall Total: " + overallTests;
	    
		Ti.API.info(doneMsg);
		this.textArea.value += doneMsg;
		// workAround.textArea.value += doneMsg;
	}
}

function loadTests() {
    allTests.push(CloudUsers);
}
